<div id="controlpanel-container">
  <mat-card class="card">
    <mat-card-title>Message aux permanenciers</mat-card-title>
    <form (ngSubmit)="sendMessage(messageForm.value)" [formGroup]="messageForm">
      <mat-form-field class="select">
        <mat-label>Message</mat-label>
        <textarea formControlName="text" matInput type="text"></textarea>
      </mat-form-field>
      <br/>
      <mat-form-field class="select">
        <mat-label>Affichage</mat-label>
        <mat-select formControlName="type">
          <mat-option value="dialog">Boîte de dialogue (bloquante)</mat-option>
          <mat-option value="snackbar">Notification (non-instrusive)</mat-option>
        </mat-select>
      </mat-form-field>
      <br/>
      <button color="primary" mat-raised-button>Envoyer</button>
    </form>
  </mat-card>
  <br/>
  <br/>
  <mat-card class="card">
    <mat-card-title>Mode maintenance</mat-card-title>
    <form (ngSubmit)="changeConfig(webConfigForm.value)" [formGroup]="webConfigForm">
      <mat-checkbox formControlName="admin_frontend_enabled">Interface admin active</mat-checkbox>
      <br/>
      <mat-checkbox formControlName="public_frontend_enabled">Interface publique active</mat-checkbox>
      <br/>
      <mat-form-field class="select">
        <mat-label>Message</mat-label>
        <textarea formControlName="message" matInput type="text"></textarea>
      </mat-form-field>
      <button [disabled]="!btnEnabled" color="primary" mat-raised-button>Modifer</button>
    </form>
  </mat-card>
</div>
